Create Task
curl --request POST \
--url https://api.miteos.com/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"workspace_id": "<string>"
}
'import requests
url = "https://api.miteos.com/tasks"
payload = {
"prompt": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', workspace_id: '<string>'})
};
fetch('https://api.miteos.com/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"prompt": "<string>",
"status": "<string>",
"total_tokens_used": 123,
"total_cost_cents": 123,
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"subtasks": [
{
"id": "<string>",
"agent_type": "<string>",
"prompt": "<string>",
"status": "<string>",
"tokens_used": 123,
"model_used": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tasks
Create Task
POST
/
tasks
Create Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I

